#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);

    cin.tie(0);

    long long N , A;

    cin >> N >> A;

    long long treci ,cetvrti , peti =0;

    long long prviOstatak = A ;

    long long drugiOstatak = 0;


    if(N < A *3)
    {
        cout << -1;

    }
    else
    {

        N -= 3*A;



        if(A - 2 < N)
        {
            drugiOstatak =  A-2;
            N -= drugiOstatak;


        if(N%2)
        {

            treci = prviOstatak+ N / 2;

            cetvrti = drugiOstatak + N/2 ;

            peti++;


        }
        else
        {
            treci = prviOstatak+ N/2  ;

            cetvrti = drugiOstatak +  N/2 ;

        }

        }



        else if (N <= A- 2)
        {
            peti = N;

            treci = A;

            cetvrti = 0;
        }


        cout << A << " " << 0 <<"\n";

        cout << treci << " " << cetvrti <<"\n";

        cout << A << " " << peti ;

     }

    return 0;
}